<?php
namespace App\Models;
use Illuminate\Database\Eloquent\Model;

class Category extends Model
{
    protected $fillable = ['name', 'slug', 'description', 'color', 'bg_color', 'icon', 'posts_count', 'sort_order'];

    public function sources() { return $this->hasMany(Source::class); }
    public function posts()   { return $this->hasMany(Post::class); }
}
